
var xhr;

function CreateXmlHttp(){
    // Probamos con IE
    try{        // FuncionarÃ¡ para JavaScript 5.0
        xmlHttp = new ActiveXObject("Msxml2.XMLHTTP");
    }
    catch(e){
        try{
            xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
        }
        catch(oc){
            xmlHttp = null;
        }
    }
    // Si no se trataba de un IE, probamos con esto
    if(!xmlHttp && typeof XMLHttpRequest != "undefined")
    {
        xmlHttp = new XMLHttpRequest();
    }

    return xmlHttp;
}

//-----------------------------------------------------
function get(id){
    return document.getElementById(id).value;
}



//-----------------------------------
function parametro( name ){
	var regexS = "[\\?&]"+name+"=([^&#]*)";
	var regex = new RegExp ( regexS );
	var tmpURL = window.location.href;
	var results = regex.exec( tmpURL );
	if( results == null )
		return "";
	else
		return results[1];
}




  function comprobar_codigo()
{
        xhr=CreateXmlHttp();


       var cod=get('codigo');

       if(cod=='')
        {
            alert('Ingrese Codigo');
            exit();
        }


        xhr.open("GET","app/model/insertar_constancias.php?accion=info_comp_codigo&codigo="+cod+"",true);//ultimo parametro true asincrono false sincrono
        xhr.onreadystatechange=resinfocod; //despue del = nombre de la funcion que controla la respuesta
        xhr.send(null);//post sen el elemento que contiene la informacion


}


function resinfocod()
{
        if(xhr.readyState==4){


       var result=xhr.responseXML;


        var respuesta=result.getElementsByTagName("datos");
        var res=respuesta.item(0).firstChild.nodeValue;



        if(res=='no')
        {
            alert('No registrado');
            document.getElementById('codigo').focus();
            limpiarconstancia_2();

        }else {

           var nom=result.getElementsByTagName("nombre");
           var nom2=nom.item(0).firstChild.nodeValue;
           document.getElementById('nombres').value=nom2;

           var codg=result.getElementsByTagName("codg");
           var codg2=codg.item(0).firstChild.nodeValue;
           document.getElementById('g_id1').value=codg2;

           var txcodg=result.getElementsByTagName("txcodg");
           var txcodg2=txcodg.item(0).firstChild.nodeValue;
           document.getElementById('g_id2').value=txcodg2;

           var codc=result.getElementsByTagName("codc");
           var codc2=codc.item(0).firstChild.nodeValue;
           document.getElementById('c_id1').value=codc2;

           var txcodc=result.getElementsByTagName("txcodc");
           var txcodc2=txcodc.item(0).firstChild.nodeValue;
           document.getElementById('c_id2').value=txcodc2;

           var codjor=result.getElementsByTagName("codjor");
           var codjor2=codjor.item(0).firstChild.nodeValue;
           document.getElementById('j_id1').value=codjor2;

           var desjor=result.getElementsByTagName("desjor");
           var desjor2=desjor.item(0).firstChild.nodeValue;
           document.getElementById('j_id2').value=desjor2;

           var codsed=result.getElementsByTagName("codsed");
           var codsed2=codsed.item(0).firstChild.nodeValue;
           document.getElementById('s_id1').value=codsed2;

           var dessed=result.getElementsByTagName("dessed");
           var dessed2=dessed.item(0).firstChild.nodeValue;
           document.getElementById('s_id2').value=dessed2;

            }


          }
      }

function limpiarconstancia_2(){

    document.getElementById('codigo').value='';
    document.getElementById('nombres').value='';

    document.getElementById('g_id1').value='';
    document.getElementById('g_id2').value='';

    document.getElementById('c_id1').value='';
    document.getElementById('c_id2').value='';

    document.getElementById('j_id1').value='';
    document.getElementById('j_id2').value='';


    document.getElementById('s_id1').value='';
    document.getElementById('s_id2').value='';

    document.getElementById('destino').value='';
    document.getElementById('leyen').value='';
}


function limpiarconstancia(){

    document.getElementById('p_id1').value='';
    document.getElementById('p_id2').value='';

    document.getElementById('codigo').value='';
    document.getElementById('nombres').value='';

    document.getElementById('g_id1').value='';
    document.getElementById('g_id2').value='';

    document.getElementById('c_id1').value='';
    document.getElementById('c_id2').value='';

    document.getElementById('j_id1').value='';
    document.getElementById('j_id2').value='';


    document.getElementById('s_id1').value='';
    document.getElementById('s_id2').value='';

    document.getElementById('destino').value='';
    document.getElementById('leyen').value='';
}



function grabarcon(){

    var destino=get('destino');
    var leyen=get('leyen');

    
    if(destino==''){
        alert('Ingrese Destino');
        exit();
    }

    if(leyen==''){
        alert('Ingrese Leyenda');
        exit();
    }

    var parametros = {"accion":'guardar_constancia',"destino":destino,"leyenda":leyen
                           };
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_constancias.php",
                type:  'post',
                success:function (response){
                           
                           window.open('app/model/reportes/constancia.php',"width=1000,height=500,scrollbars=NO");
                    }

        });
    
}

function generarleyen(){
    
    var per=get('p_id1');
    var desper=get('p_id2');

    var cod=get('codigo');
    var descod=get('nombres');

    var grad=get('g_id1');
    var desgrad=get('g_id2');

    var cur=get('c_id1');
    var descur=get('c_id2');

    var jor=get('j_id1');
    var desjor=get('j_id2');


    var sede=get('s_id1');
    var dessede=get('s_id2');

    var des=get('destino');


     if(per=='')
      {
        alert('Ingrese Periodo');
        exit();
      }

    if(cod=='')
      {
        alert('Ingrese Codigo');
        exit();
      }


    if(des=='')
      {
        alert('Ingrese Destino');
        exit();
      }

    var parametros = {"accion":'generar_leyenda',"per" :per,
                                                "desper":desper,
                                                "cod":cod,
                                                "descod":descod,
                                                "grad":grad,
                                                "desgras":desgrad,
                                                "cur":cur,
                                                "descur":descur,
                                                "jor":jor,
                                                "desjor":desjor,
                                                "sede":sede,
                                                "dessede":dessede
                                            };

   
            $.ajax({
                    data:  parametros,
                    url:"app/model/insertar_constancias.php",
                    type:  'post',
                    success:function (response){
   
                       document.getElementById('leyen').value=response;



                    }
            });

    
}

function imprimir(){
    var per=get('p_id1');
    var desper=get('p_id2');

    var cod=get('codigo');
    var descod=get('nombres');

    var grad=get('g_id1');
    var desgrad=get('g_id2');

    var cur=get('c_id1');
    var descur=get('c_id2');

    var jor=get('j_id1');
    var desjor=get('j_id2');


    var sede=get('s_id1');
    var dessede=get('s_id2');

    var des=get('destino');
    var leyen=get('leyen');

    var parametros='?codper='+per+'&desper='+desper+'&cod='+cod+'&descod='+descod+'&grad='+grad+'&desgrad='+desgrad+'&cur='+cur+'&descur='+descur+'&jor='+jor+'\n\
        &desjor='+desjor+'&sede='+sede+'&dessede='+dessede+'&des='+des+'&leyen='+leyen;

    alert(parametros);

    if(per=='')
      {
        alert('Ingrese Periodo');
        exit();
      }

    if(cod=='')
      {
        alert('Ingrese Codigo');
        exit();
      }


    if(des=='')
      {
        alert('Ingrese Destino');
        exit();
      }



    window.open('app/model/reportes/constancia.php',"width=1000,height=500,scrollbars=NO");
}


function retornarprin(){
   
    var r=parametro("rol");

    if(r=='4'){ // ---- Rol Administrador ----
       window.location.href='../menu.php'
    }

    if(r=='6'){  // ---- Rol Secretaria ----
       window.location.href='../menu_secretaria.php'
    }
}